Skip to main content
GET
/
v0
/
tokens
/
metadata
/
{chain}
/
{token_address}
Get Token Metadata
curl --request GET \
  --url https://api.bubblemaps.io/v0/tokens/metadata/{chain}/{token_address} \
  --header 'X-ApiKey: <api-key>'
{
  "token_key": {
    "address": "<string>"
  },
  "metadata": {
    "name": "<string>",
    "symbol": "<string>",
    "is_indexed": true,
    "img_url": "<string>"
  },
  "stats": {
    "transfers_count": 123,
    "min_date": "2023-11-07T05:31:56Z",
    "max_date": "2023-11-07T05:31:56Z"
  }
}
Credit cost: 0.1 per request.
Response field token_stats is deprecated, use stats instead. See the changelog.
Get metadata for a given token. The parameter return_token_stats will include token aggregates in the response under stats. Costs 0.5 credit per request instead of 0.1. See indexed tokens for context on the is_indexed attribute.

Authorizations

X-ApiKey
string
header
required

Path Parameters

chain
enum<string>
required
Available options:
eth,
base,
solana,
tron,
bsc,
apechain,
sonic,
ton,
avalanche,
polygon,
monad,
hyperevm,
arbitrum
token_address
string
required

Query Parameters

return_token_stats
boolean
default:false

Response

Successful Response

token_key
TokenKey · object
required
metadata
TokenMetadata · object
required
stats
TokenAggregates · object